# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-PerlIO-utf8_strict
Version:	0.010
Release:	1.%{__distinit}%{__distvers}
Summary:	Fast and correct UTF-8 I/O
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/PerlIO-utf8_strict
Source0:	https://cpan.metacpan.org/modules/by-module/PerlIO/PerlIO-utf8_strict-%{version}.tar.gz
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:	perl(XSLoader)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Tests:
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(utf8)
# Author tests:
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Pod) >= 1.41
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike perl's
default :utf8 layer it checks the input for correctness.

%prep
%setup -q -n PerlIO-utf8_strict-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test
%if 0%{!?perl_bootstrap:1}
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/PerlIO/
%{perl_vendorarch}/PerlIO/
%{_mandir}/man3/PerlIO::utf8_strict.3*

%changelog
* Thu Oct 27 2022 Paul Howarth <paul@city-fan.org> - 0.010-1
- Update to 0.010
  - Re-release with updated ppport.h for 5.8.5 compatibility
- Use SPDX-format license tag

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 0.009-3
- Perl 5.36 rebuild

* Sat Jan  8 2022 Paul Howarth <paul@city-fan.org> - 0.009-1
- Update to 0.009
  - Mark functions that croak as noreturn

* Sat May 22 2021 Paul Howarth <paul@city-fan.org> - 0.008-3
- Perl 5.34 rebuild

* Sat Sep 19 2020 Paul Howarth <paul@city-fan.org> - 0.008-1
- Update to 0.008
  - Make unread by :crlf on top of :utf8_strict reliable

* Fri Jun 26 2020 Paul Howarth <paul@city-fan.org> - 0.007-12
- Perl 5.32 rebuild

* Sat Jun  1 2019 Paul Howarth <paul@city-fan.org> - 0.007-9
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 0.007-6
- Perl 5.28 rebuild

* Mon Aug  7 2017 Paul Howarth <paul@city-fan.org> - 0.007-4
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun 11 2017 Paul Howarth <paul@city-fan.org> - 0.007-2
- Perl 5.26 rebuild

* Fri Apr  7 2017 Paul Howarth <paul@city-fan.org> - 0.007-1
- Update to 0.007
  - Adapt to dot no longer being in @INC
  - Adapt to unicode syswrite being deprecated
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop patch for building with Test::More < 0.88

* Tue May 17 2016 Paul Howarth <paul@city-fan.org> - 0.006-6
- BR: perl-devel and perl-generators where available
- Simplify find commands using -empty and -delete

* Tue Jun 23 2015 Paul Howarth <paul@city-fan.org> - 0.006-3
- Perl 5.22 rebuild

* Fri May  1 2015 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006
  - Move to MakeMaker

* Thu Nov  6 2014 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005
  - Add PPPort to compile on perl <5.8.9
- Drop patch for building with perl 5.8.x

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 0.004-6
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Fri Feb 21 2014 Paul Howarth <paul@city-fan.org> - 0.004-4
- Import from Fedora
- Add patch to support building with Perl 5.8.x

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.004-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.004-2
- Perl 5.18 rebuild

* Thu Feb 28 2013 Petr Pisar <ppisar@redhat.com> - 0.004-1
- 0.004 bump

* Thu Feb 21 2013 Petr Pisar <ppisar@redhat.com> - 0.003-1
- 0.003 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 20 2012 Petr Pisar <ppisar@redhat.com> - 0.002-1
- Specfile autogenerated by cpanspec 1.78
